curl -X POST "https://app.talkover.ai/api/v1/callback-agents/agent-uuid-1/check-constraints" \
-H "Authorization: Bearer talq_your_environment_token_here" \
-H "Content-Type: application/json" \
-d '{
"is_callback_agent": true,
"callback_source_agents": ["agent-uuid-2", "agent-uuid-3"],
"callback_trigger_statuses": ["no_answer", "voicemail", "busy"]
}'
{
"success": true,
"message": "Configuration is valid"
}
Callback Agents
Check Callback Constraints
Validate a proposed callback configuration before saving
POST
/
api
/
v1
/
callback-agents
/
{agent_id}
/
check-constraints
curl -X POST "https://app.talkover.ai/api/v1/callback-agents/agent-uuid-1/check-constraints" \
-H "Authorization: Bearer talq_your_environment_token_here" \
-H "Content-Type: application/json" \
-d '{
"is_callback_agent": true,
"callback_source_agents": ["agent-uuid-2", "agent-uuid-3"],
"callback_trigger_statuses": ["no_answer", "voicemail", "busy"]
}'
{
"success": true,
"message": "Configuration is valid"
}
Check Callback Constraints
Validate a proposed callback configuration without persisting changes. Useful to surface errors in the UI before submitting Set Agent as Callback or Update Callback Sources.Endpoint
POST /api/v1/callback-agents/{agent_id}/check-constraints
Path parameters
string
required
Agent UUID being configured as callback.
Request headers
string
required
Bearer token. Format:
Bearer talq_your_environment_token_herestring
required
Must be set to
application/jsonRequest body
boolean
Whether this agent should be marked as a callback agent.
array
Array of source agent UUIDs.
array
Statuses of source-agent calls that make a contact eligible for callback (e.g.,
["no_answer", "voicemail"]).Examples
curl -X POST "https://app.talkover.ai/api/v1/callback-agents/agent-uuid-1/check-constraints" \
-H "Authorization: Bearer talq_your_environment_token_here" \
-H "Content-Type: application/json" \
-d '{
"is_callback_agent": true,
"callback_source_agents": ["agent-uuid-2", "agent-uuid-3"],
"callback_trigger_statuses": ["no_answer", "voicemail", "busy"]
}'
Response
Valid
{
"success": true,
"message": "Configuration is valid"
}
Invalid
{
"success": false,
"message": "Configuration has errors",
"errors": [
"Agent must be inbound to serve as a callback agent",
"Source agent agent-uuid-3 is not published"
]
}
Was this page helpful?